import { __rest } from "tslib";
const DEFAULT_CONFIG = {
    // we never want caching
    cache: false,
    // we always want JSON
    // dataType: "json",
};
export function getDefaultConfig(config) {
    return mergeAjaxConfig(DEFAULT_CONFIG, config);
}
export function mergeAjaxConfig(config, toMerge) {
    const _a = config || {}, { headers } = _a, passThrough = __rest(_a, ["headers"]);
    const _b = toMerge || {}, { headers: headers2 } = _b, passThrough2 = __rest(_b, ["headers"]);
    return Object.assign(Object.assign(Object.assign({}, passThrough), passThrough2), { headers: Object.assign(Object.assign({}, headers), headers2) });
}
//# sourceMappingURL=AjaxRequestConfig.js.map