/// <reference path="../../../node_modules/@types/jquery/misc.d.ts" />
export class JQueryClientError extends Error {
    constructor(msg, status, headers, cause, jqXHR) {
        // @ts-ignore: fetch requires lib "dom" or "webworker", but then the "cause" property becomes unknown to TS
        super(msg, { cause });
        this.status = status;
        this.headers = headers;
        this.cause = cause;
        this.jqXHR = jqXHR;
        this.name = this.constructor.name;
    }
}
//# sourceMappingURL=JQueryClientError.js.map